%global commit b2d587b0e271e5dc04c2a29a7ca76df01adad98a
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           eclipse-m2e-antlr
Version:        0.15.0
Release:        0.12.git%{shortcommit}%{?dist}
Summary:        M2E ANTLR connector
License:        EPL
URL:            https://github.com/tesla/m2eclipse-antlr/
BuildArch:      noarch

Source0:        https://github.com/tesla/m2eclipse-antlr/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(io.tesla.tycho:tycho-support:pom:)
BuildRequires:  osgi(org.eclipse.core.resources)
BuildRequires:  osgi(org.eclipse.core.runtime)
BuildRequires:  osgi(org.eclipse.m2e.core)
BuildRequires:  osgi(org.eclipse.m2e.jdt)
BuildRequires:  osgi(org.eclipse.m2e.maven.runtime)

Enhances:       eclipse-m2e-core

%description
This package provides ANTLR connector for Eclipse M2E.

%prep
%setup -q -n m2eclipse-antlr-%{commit}
find -name *.jar -delete

# Tests are skipped because of missing dependencies:
# osgi(org.eclipse.m2e.tests.common)
%pom_disable_module org.sonatype.m2e.antlr.tests

%build
%mvn_build -j

%install
%mvn_install

%files -f .mfiles
%doc org.sonatype.m2e.antlr.feature/license.html

%changelog
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-0.12.gitb2d587b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-0.11.gitb2d587b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-0.10.gitb2d587b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-0.9.gitb2d587b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-0.8.gitb2d587b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Oct 19 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.15.0-0.7.gitb2d587b
- Add Enhances: eclipse-m2e-core

* Wed Oct 14 2015 Mat Booth <mat.booth@redhat.com> - 0.15.0-0.6.gitb2d587b
- Update to latest snapshot

* Mon Sep 14 2015 Roland Grunberg <rgrunber@redhat.com> - 0.15.0-0.5.git3a263f7
- Rebuild as an Eclipse p2 Droplet.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.0-0.4.git3a263f7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Sep 10 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.15.0-0.3.git3a263f7
- Install with XMvn

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.0-0.2.git3a263f7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jan 28 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.15.0-0.1.git3a263f7
- Initial commit
